<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_131) on Fri Oct 27 02:29:10 EDT 2017 -->
<meta http-equiv="Content-Type" content="text/html; charset=UTF-8">
<title>org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl Class Hierarchy (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)</title>
<meta name="date" content="2017-10-27">
<link rel="stylesheet" type="text/css" href="../../../../../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl Class Hierarchy (org.eclipse.papyrus.designer.ucm.profile 0.7.6 API)";
        }
    }
    catch(err) {
    }
//-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<div class="header">
<h1 class="title">Hierarchy For Package org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl</h1>
<span class="packageHierarchyLabel">Package Hierarchies:</span>
<ul class="horizontal">
<li><a href="../../../../../../../../../overview-tree.html">All Packages</a></li>
</ul>
</div>
<div class="contentContainer">
<h2 title="Class Hierarchy">Class Hierarchy</h2>
<ul>
<li type="circle">java.lang.<a href="http://docs.oracle.com/javase/8/docs/api/java/lang/Object.html?is-external=true" title="class or interface in java.lang"><span class="typeNameLink">Object</span></a>
<ul>
<li type="circle">org.eclipse.emf.common.notify.impl.BasicNotifierImpl (implements org.eclipse.emf.common.notify.Notifier)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.BasicEObjectImpl (implements org.eclipse.emf.ecore.EObject, org.eclipse.emf.ecore.InternalEObject)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl (implements org.eclipse.emf.ecore.EStructuralFeature.Internal.DynamicValueHolder)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.MinimalEObjectImpl.Container
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/AssemblyPartImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">AssemblyPartImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AssemblyPart.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AssemblyPart</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ComponentModuleImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">ComponentModuleImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentModule.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentModule</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ConnectionLinkImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">ConnectionLinkImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ConnectionLink.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ConnectionLink</a>)</li>
<li type="circle">org.eclipse.emf.ecore.impl.EModelElementImpl (implements org.eclipse.emf.ecore.EModelElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EFactoryImpl (implements org.eclipse.emf.ecore.resource.impl.BinaryResourceImpl.DataConverter.Factory, org.eclipse.emf.ecore.EFactory)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/Ucm_componentsFactoryImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">Ucm_componentsFactoryImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsFactory.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsFactory</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.emf.ecore.impl.ENamedElementImpl (implements org.eclipse.emf.ecore.ENamedElement)
<ul>
<li type="circle">org.eclipse.emf.ecore.impl.EPackageImpl (implements org.eclipse.emf.ecore.util.BasicExtendedMetaData.EPackageExtendedMetaData.Holder, org.eclipse.emf.ecore.EPackage)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/Ucm_componentsPackageImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">Ucm_componentsPackageImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Ucm_componentsPackage.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Ucm_componentsPackage</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IBindingImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">IBindingImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IBinding</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/AbstractTypeBindingImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">AbstractTypeBindingImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AbstractTypeBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AbstractTypeBinding</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/InteractionItemBindingImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">InteractionItemBindingImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/InteractionItemBinding.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">InteractionItemBinding</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IComponentImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">IComponentImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IComponent.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IComponent</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ComponentTypeImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">ComponentTypeImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/ComponentType.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">ComponentType</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IComponentImplementationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">IComponentImplementationImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IComponentImplementation</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/AtomicComponentImplementationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">AtomicComponentImplementationImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/AtomicComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">AtomicComponentImplementation</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/CompositeComponentImplementationImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">CompositeComponentImplementationImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/CompositeComponentImplementation.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">CompositeComponentImplementation</a>)</li>
</ul>
</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/impl/IConfiguredImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.impl"><span class="typeNameLink">IConfiguredImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_contracts/IConfigured.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_contracts">IConfigured</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/ConnectionImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">ConnectionImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/Connection.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">Connection</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/TechnicalPolicyImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">TechnicalPolicyImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/TechnicalPolicy.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">TechnicalPolicy</a>)</li>
</ul>
</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/IPortSpecImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">IPortSpecImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/IPortSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">IPortSpec</a>)
<ul>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/PortRoleSpecImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">PortRoleSpecImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortRoleSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortRoleSpec</a>)</li>
<li type="circle">org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/PortTypeSpecImpl.html" title="class in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.impl"><span class="typeNameLink">PortTypeSpecImpl</span></a> (implements org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components.<a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/PortTypeSpec.html" title="interface in org.eclipse.papyrus.designer.ucm.profile.UCMProfile.ucm_components">PortTypeSpec</a>)</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li>Class</li>
<li>Use</li>
<li class="navBarCell1Rev">Tree</li>
<li><a href="../../../../../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/package-tree.html">Prev</a></li>
<li><a href="../../../../../../../../../org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/util/package-tree.html">Next</a></li>
</ul>
<ul class="navList">
<li><a href="../../../../../../../../../index.html?org/eclipse/papyrus/designer/ucm/profile/UCMProfile/ucm_components/impl/package-tree.html" target="_top">Frames</a></li>
<li><a href="package-tree.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
<p class="legalCopy"><small>Copyright &#169; 2016&#x2013;2017 <a href="https://www.eclipse.org/">Eclipse foundation</a>. All rights reserved.</small></p>
</body>
</html>
